import { FeatureSystem } from '../../core/feature-system';

export class PortableRadioSystem extends FeatureSystem {
    hasRadio(_player: PlayerMp): boolean { return false; }
    isRadioOn(_player: PlayerMp): boolean { return false; }
    getSlotFrequency(_player: PlayerMp, _slot: number): number | null { return null; }
    sendRadioMessage(_player: PlayerMp, _message: string, _slot: number, _low: boolean): void {}
    sendRadioEmote(_player: PlayerMp, _emote: string, _slot: number, _low: boolean): void {}
}

export const portableRadioSystem = new PortableRadioSystem();
